Page MenuHomePhabricator

Puppet failure on deployment-cassandra3-0[12]
Closed, ResolvedPublic

Description

Notice: /Stage[main]/Cassandra/Package[cassandra-tools-wmf]: Dependency Package[cassandra] has failures: true
Error: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold --force-yes install cassandra=3.11.2' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
E: Version '3.11.2' for 'cassandra' was not found
Error: /Stage[main]/Cassandra/Package[cassandra]/ensure: change from 3.11.0-wmf5 to 3.11.2 failed: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold --force-yes install cassandra=3.11.2' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
E: Version '3.11.2' for 'cassandra' was not found

Event Timeline

Krenair created this task.Jun 10 2018, 12:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2018, 12:55 AM
Krenair renamed this task from Puppet failure on deployment-cassandra3-02 to Puppet failure on deployment-cassandra3-0[12].Jun 10 2018, 12:56 AM
Krenair added a subscriber: mobrovac.

Hosts created by @mobrovac

Krenair closed this task as Resolved.Jun 13 2018, 5:53 PM

Looks like it has now appeared:

krenair@deployment-cassandra3-01:~$ apt-cache policy cassandra
cassandra:
  Installed: 3.11.2
  Candidate: 3.11.2
  Version table:
 *** 3.11.2 0
       1001 http://apt.wikimedia.org/wikimedia/ stretch-wikimedia/component/cassandra311 amd64 Packages
        100 /var/lib/dpkg/status

Is that something you arranged @mobrovac?

The failure was due to a mismatch in Cassandra version. We were in the process of upgrading it, and that process has since been completed.

Vvjjkkii renamed this task from Puppet failure on deployment-cassandra3-0[12] to tbbaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
mobrovac renamed this task from tbbaaaaaaa to Puppet failure on deployment-cassandra3-0[12].Jul 1 2018, 11:29 AM
mobrovac closed this task as Resolved.
mobrovac lowered the priority of this task from High to Medium.
mobrovac updated the task description. (Show Details)
CommunityTechBot raised the priority of this task from Medium to Needs Triage.Jul 5 2018, 7:00 PM
mobrovac triaged this task as Medium priority.Jul 6 2018, 9:31 AM